> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a sales-tax group item

> Creates a new sales-tax group item.



## OpenAPI

````yaml POST /quickbooks-desktop/sales-tax-group-items
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/sales-tax-group-items:
    post:
      summary: Create a sales-tax group item
      description: Creates a new sales-tax group item.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
          description: The ID of the End-User to receive this request.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 31
                  description: >-
                    The case-insensitive unique name of this sales-tax group
                    item, unique across all sales-tax group items.


                    **NOTE**: Sales-tax group items do not have a `fullName`
                    field because they are not hierarchical objects, which is
                    why `name` is unique for them but not for objects that have
                    parents.


                    Maximum length: 31 characters.
                  example: Standard Tax Group
                barcode:
                  description: The sales-tax group item's barcode.
                  type: object
                  properties:
                    value:
                      description: The item's barcode value.
                      example: '012345678905'
                      type: string
                    assignEvenIfUsed:
                      description: >-
                        Indicates whether to assign the barcode even if it is
                        already used.
                      example: false
                      default: false
                      type: boolean
                    allowOverride:
                      description: Indicates whether to allow the barcode to be overridden.
                      example: false
                      default: false
                      type: boolean
                  additionalProperties: false
                isActive:
                  description: >-
                    Indicates whether this sales-tax group item is active.
                    Inactive objects are typically hidden from views and reports
                    in QuickBooks. Defaults to `true`.
                  example: true
                  default: true
                  type: boolean
                description:
                  description: >-
                    The sales-tax group item's description that will appear on
                    sales forms that include this item.
                  example: Combined city, county, and state sales tax
                  type: string
                externalId:
                  type: string
                  format: uuid
                  description: >-
                    A globally unique identifier (GUID) you, the developer, can
                    provide for tracking this object in your external system.
                    This field is immutable and can only be set during object
                    creation.


                    **IMPORTANT**: This field must be formatted as a valid GUID;
                    otherwise, QuickBooks will return an error.
                  example: 12345678-abcd-1234-abcd-1234567890ab
                salesTaxItemIds:
                  minItems: 1
                  type: array
                  items:
                    type: string
                    maxLength: 36
                  description: >-
                    The sales-tax items that make up this sales-tax group item.
                    QuickBooks Desktop applies these sales-tax items together as
                    one tax selection while tracking each sales tax separately.
                  example:
                    - 80000001-1234567890
              required:
                - name
                - salesTaxItemIds
              additionalProperties: false
      responses:
        '200':
          description: Returns the newly created sales-tax group item.
          headers:
            Conductor-Request-Id:
              required: true
              description: The unique identifier for this API request.
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_sales_tax_group_item'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const salesTaxGroupItem = await
            conductor.qbd.salesTaxGroupItems.create({
              name: 'Standard Tax Group',
              salesTaxItemIds: ['80000001-1234567890'],
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(salesTaxGroupItem.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            sales_tax_group_item = conductor.qbd.sales_tax_group_items.create(
                name="Standard Tax Group",
                sales_tax_item_ids=["80000001-1234567890"],
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(sales_tax_group_item.id)
components:
  schemas:
    qbd_sales_tax_group_item:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this sales-tax group
            item. This ID is unique across all sales-tax group items but not
            across different QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          description: >-
            The type of object. This value is always
            `"qbd_sales_tax_group_item"`.
          example: qbd_sales_tax_group_item
          type: string
          const: qbd_sales_tax_group_item
        createdAt:
          type: string
          description: >-
            The date and time when this sales-tax group item was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this sales-tax group item was last updated,
            in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks
            Desktop interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this sales-tax
            group item object, which changes each time the object is modified.
            When updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this sales-tax group item,
            unique across all sales-tax group items.


            **NOTE**: Sales-tax group items do not have a `fullName` field
            because they are not hierarchical objects, which is why `name` is
            unique for them but not for objects that have parents.
          example: Standard Tax Group
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          description: The sales-tax group item's barcode.
          example: '012345678905'
        isActive:
          type: boolean
          description: >-
            Indicates whether this sales-tax group item is active. Inactive
            objects are typically hidden from views and reports in QuickBooks.
            Defaults to `true`.
          example: true
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The sales-tax group item's description that will appear on sales
            forms that include this item.
          example: Combined city, county, and state sales tax
        externalId:
          anyOf:
            - type: string
              description: >-
                A globally unique identifier (GUID) you, the developer, can
                provide for tracking this object in your external system. This
                field is immutable and can only be set during object creation.
              example: 12345678-abcd-1234-abcd-1234567890ab
            - type: 'null'
        salesTaxItems:
          type: array
          items:
            type: object
            properties:
              id:
                anyOf:
                  - type: string
                  - type: 'null'
                description: >-
                  The unique identifier assigned by QuickBooks to this object.
                  This ID is unique across all objects of the same type, but not
                  across different QuickBooks object types.
                example: 80000001-1234567890
              fullName:
                anyOf:
                  - type: string
                  - type: 'null'
                description: >-
                  The fully-qualified unique name for this object, formed by
                  combining the names of its parent objects with its own `name`,
                  separated by colons. Not case-sensitive.
                example: Parent:Child:Grandchild
            required:
              - id
              - fullName
            additionalProperties: false
          description: >-
            The sales-tax items that make up this sales-tax group item.
            QuickBooks Desktop applies these sales-tax items together as one tax
            selection while tracking each sales tax separately.
          example:
            - id: 80000001-1234567890
              fullName: State Sales Tax
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/qbd_custom_field'
          description: >-
            The custom fields for the sales-tax group item object, added as
            user-defined data extensions, not included in the standard
            QuickBooks object.
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - barcode
        - isActive
        - description
        - externalId
        - salesTaxItems
        - customFields
      additionalProperties: false
      title: The Sales-Tax Group Item object
      x-conductor-object-type: item
      summary: >-
        A sales-tax group item represents a predefined set of sales-tax items
        bundled together because they are commonly applied to the same sale,
        allowing QuickBooks Desktop to apply them as one tax selection while
        calculating and tracking each sales tax separately.
    qbd_custom_field:
      type: object
      properties:
        ownerId:
          type: string
          description: >-
            The identifier of the owner of the custom field, which QuickBooks
            internally calls a "data extension". For public custom fields
            visible in the UI, such as those added by the QuickBooks user, this
            is always "0". For private custom fields that are only visible to
            the application that created them, this is a valid GUID identifying
            the owning application. Internally, Conductor always fetches all
            public custom fields (those with an `ownerId` of "0") for all
            objects.
          example: '0'
        name:
          type: string
          description: >-
            The name of the custom field, unique for the specified `ownerId`.
            For public custom fields, this name is visible as a label in the
            QuickBooks UI.
          example: Customer Rating
        type:
          type: string
          enum:
            - amount_type
            - date_time_type
            - integer_type
            - percent_type
            - price_type
            - quantity_type
            - string_1024_type
            - string_255_type
          description: The data type of this custom field.
          example: string_1024_type
        value:
          type: string
          description: >-
            The value of this custom field. The maximum length depends on the
            field's data type.
          example: Premium
      required:
        - ownerId
        - name
        - type
        - value
      additionalProperties: false
      title: The Custom Field object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````